DocsAPI ReferenceVoucher/bff/voucher/full-detail
getVoucherAdmin BFF

/bff/voucher/full-detail

Returns comprehensive detail of a voucher including usage context, recent orders that used it, linked products (for voucher templates), and computed status fields like effective activity and days until expiration.

VouchergetBffVoucherFull-detail

Parameters

1 query

1 total
Query · 1
codestringRequired

Voucher code to retrieve full details for.

Request

GET /bff/voucher/full-detail

get
curl -X GET "https://api.bizkithub.com/bff/voucher/full-detail?code=SUMMER2024" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Response

Comprehensive voucher detail with context.

{
  "id": "example_id",
  "internalId": "example_internalId",
  "value": "example_value",
  "usedCount": 0,
  "usedOrderCount": 0,
  "active": false,
  "effectivelyActive": false,
  "isOrderSingleton": false,
  "note": "example_note",
  "isExpired": false,
  "isNotYetValid": false,
  "recentOrders": [
    {
      "orderId": 0,
      "orderHash": "example_orderHash",
      "orderNumber": "example_orderNumber",
      "orderVariableSymbol": "example_orderVariableSymbol",
      "customerName": "example_customerName",
      "orderTotal": "example_orderTotal",
      "currencyCode": "example_currencyCode"
    }
  ],
  "linkedProducts": [
    {
      "productId": 0,
      "productName": "example_productName",
      "productCode": "example_productCode",
      "productActive": false
    }
  ]
}

All response codes

1 status code documented

Need an API key?

All BizKitHub API endpoints require authentication via API key.

Get API Key